"""Added statuses

Revision ID: 8036ca6a3097
Revises: 64110be76bd6
Create Date: 2022-02-16 06:31:43.007617+01:00

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "8036ca6a3097"
down_revision = "64110be76bd6"
branch_labels = None
depends_on = None


def upgrade():
    """Upgrade"""
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "request_status",
        sa.Column("sid", sa.Integer(), nullable=False),
        sa.Column("uuid", postgresql.UUID(as_uuid=True), nullable=False),
        sa.Column("request_id", sa.Integer(), nullable=True),
        sa.Column(
            "payment_status",
            sa.Enum(
                "TE_BETALEN",
                "BETALING_INGEDIEND",
                "BETALING_AFGEROND",
                name="paymentstatusenum",
            ),
            nullable=True,
        ),
        sa.Column("payment_status_date", sa.Date(), nullable=True),
        sa.ForeignKeyConstraint(
            ["request_id"],
            ["request.sid"],
        ),
        sa.PrimaryKeyConstraint("sid"),
    )
    op.create_index(
        op.f("ix_request_status_request_id"),
        "request_status",
        ["request_id"],
        unique=True,
    )
    op.create_index(op.f("ix_request_status_sid"), "request_status", ["sid"], unique=False)
    op.create_index(op.f("ix_request_status_uuid"), "request_status", ["uuid"], unique=True)
    # ### end Alembic commands ###


def downgrade():
    """Downgrade"""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_request_status_uuid"), table_name="request_status")
    op.drop_index(op.f("ix_request_status_sid"), table_name="request_status")
    op.drop_index(op.f("ix_request_status_request_id"), table_name="request_status")
    op.drop_table("request_status")
    # ### end Alembic commands ###
